Bug 142576 - local variable used before set
Summary: local variable used before set
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: autofs (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chris Feist
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-10 18:17 UTC by David Binderman
Modified: 2007-11-30 22:10 UTC (History)
3 users (show)

Fixed In Version: 4.1.3-68
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-04 23:13:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description David Binderman 2004-12-10 18:17:58 UTC
Description of problem:

I just tried to compile package autofs-4.1.3-41 from 
Redhat Fedora development tree.

The compiler said

lookup_ldap.c(320): remark #592: variable "mapname" is used before its
value is set

The source code is

                                crit("lookup_ghost: Unable to download
the entire LDAP map for :%s ",mapname);

I agree with the compiler. Suggest init mapname before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Chris Feist 2004-12-10 18:45:28 UTC
You are correct, the wrong variable was used (mapname instead of
root).  This problem has been fixed in FC-3 autofs-4.1.3-68.


Note You need to log in before you can comment on or make changes to this bug.